### org.jfree.layouting.renderer.process.valign

# Class AlignContext

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.valign.AlignContext`

Known Direct Subclasses:
  BoxAlignContext, InlineBlockAlignContext, NodeAlignContext, ReplacedContentAlignContext, TextElementAlignContext

`public abstract class AlignContext`
`extends java.lang.Object`

To position an element inside an box, we need the following data:

(1) Offset. The distance between the parent's top-edge and the child's top edge.

(2) Dominant baseline. The childs alignment point is defined by that one.

(3) Ascent. The distance from the baseline to the top edge.

(4) descent. The distance from the baseline to the bottom edge.

Author:
  Thomas Morgner

  ## Constructor Summary

  `AlignContext(RenderNode node)`

  ## Method Summary

  `abstract long`

  `getAfterEdge()`

  `abstract long`

  `getBaselineDistance(int baseline)`

  `abstract long`

  `getBeforeEdge()`

  `int`

  `getDominantBaseline()`

  `AlignContext`

  `getNext()`

  `RenderNode`

  `getNode()`

  `void`

  `setDominantBaseline(int dominantBaseline)`

  `void`

  `setNext(AlignContext next)`

  `abstract void`

  `shift(long delta)`

## Constructor Details

### AlignContext

    protected AlignContext(RenderNode node)

## Method Details

### getAfterEdge

    public abstract long getAfterEdge()

### getBaselineDistance

    public abstract long getBaselineDistance(int baseline)

### getBeforeEdge

    public abstract long getBeforeEdge()

### getDominantBaseline

    public int getDominantBaseline()

### getNext

    public AlignContext getNext()

### getNode

    public RenderNode getNode()

### setDominantBaseline

    public void setDominantBaseline(int dominantBaseline)

### setNext

    public void setNext(AlignContext next)

### shift

    public abstract void shift(long delta)